lkml.org 
[lkml]   [2020]   [Sep]   [24]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: [PATCH v3 -next] vdpa: mlx5: change Kconfig depends to fix build errors
From
Date
On 9/24/20 3:24 AM, Eli Cohen wrote:
> On Thu, Sep 24, 2020 at 05:30:55AM -0400, Michael S. Tsirkin wrote:
>>>> --- linux-next-20200917.orig/drivers/vdpa/Kconfig
>>>> +++ linux-next-20200917/drivers/vdpa/Kconfig
>>>> @@ -31,7 +31,7 @@ config IFCVF
>>>>
>>>> config MLX5_VDPA
>>>> bool "MLX5 VDPA support library for ConnectX devices"
>>>> - depends on MLX5_CORE
>>>> + depends on VHOST_IOTLB && MLX5_CORE
>>>> default n
>>>
>>> While we are here, can anyone who apply this patch delete the "default n" line?
>>> It is by default "n".
>
> I can do that
>
>>>
>>> Thanks
>>
>> Hmm other drivers select VHOST_IOTLB, why not do the same?

v1 used select, but Saeed requested use of depends instead because
select can cause problems.

> I can't see another driver doing that. Perhaps I can set dependency on
> VHOST which by itself depends on VHOST_IOTLB?
>>
>>
>>>> help
>>>> Support library for Mellanox VDPA drivers. Provides code that is
>>>>
>>


--
~Randy

\
 
 \ /
  Last update: 2020-09-24 17:48    [W:0.165 / U:0.452 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site